.block-content-with-sidebar .sidebar-container {
    --sidebar-size: 250px;
    --sidebar-gap: 4em;
    display: grid;
    gap: 1.5em;
    grid-template-columns: 1fr;
}
.block-content-with-sidebar .sidebar-container.sidebar-size-200 {
    --sidebar-size: 200px;
}
.block-content-with-sidebar .sidebar-container.sidebar-size-250 {
    --sidebar-size: 250px;
}
.block-content-with-sidebar .sidebar-container.sidebar-size-300 {
    --sidebar-size: 300px;
}
.block-content-with-sidebar .sidebar-container.sidebar-size-350 {
    --sidebar-size: 350px;
}
.block-content-with-sidebar .sidebar-container.sidebar-gap-1 {
    --sidebar-gap: 1em;
}
.block-content-with-sidebar .sidebar-container.sidebar-gap-2 {
    --sidebar-gap: 2em;
}
.block-content-with-sidebar .sidebar-container.sidebar-gap-3 {
    --sidebar-gap: 3em;
}
.block-content-with-sidebar .sidebar-container.sidebar-gap-4 {
    --sidebar-gap: 4em;
}
.block-content-with-sidebar .sidebar-container.sidebar-gap-5 {
    --sidebar-gap: 5em;
}
.block-content-with-sidebar .sidebar-container .content-heading {
    order: 1;
}
.block-content-with-sidebar .sidebar-container .sidebar-heading {
    order: 3;
    margin-top: 2em;
}
.block-content-with-sidebar .sidebar-container .content-content {
    order: 2;
}
.block-content-with-sidebar .sidebar-container .sidebar-content {
    order: 4;
}
.block-content-with-sidebar .sidebar-container.sidebar-first .content-heading {
    order: 3;
    margin-top: 2em;
}
.block-content-with-sidebar .sidebar-container.sidebar-first .sidebar-heading {
    order: 1;
    margin-top: 0;
}
.block-content-with-sidebar .sidebar-container.sidebar-first .content-content {
    order: 4;
}
.block-content-with-sidebar .sidebar-container.sidebar-first .sidebar-content {
    order: 2;
}
@media screen and (min-width: 40em) {
    .block-content-with-sidebar .sidebar-container {
        gap: 1.5em var(--sidebar-gap);
        grid-template-columns: 1fr var(--sidebar-size);
    }
    .block-content-with-sidebar .sidebar-container.sidebar-first {
        grid-template-columns: var(--sidebar-size) 1fr;
    }
    .block-content-with-sidebar .sidebar-container .content-heading {
        order: 1;
        margin-top: 0;
    }
    .block-content-with-sidebar .sidebar-container .sidebar-heading {
        order: 2;
        margin-top: 0;
    }
    .block-content-with-sidebar .sidebar-container .content-content {
        order: 3;
    }
    .block-content-with-sidebar .sidebar-container .sidebar-content {
        order: 4;
    }
    .block-content-with-sidebar .sidebar-container.sidebar-first .content-heading {
        order: 2;
        margin-top: 0;
    }
    .block-content-with-sidebar .sidebar-container.sidebar-first .sidebar-heading {
        order: 1;
        margin-top: 0;
    }
    .block-content-with-sidebar .sidebar-container.sidebar-first .content-content {
        order: 4;
    }
    .block-content-with-sidebar .sidebar-container.sidebar-first .sidebar-content {
        order: 3;
    }
}